com.orsoncharts.util.json

## Class JSONArray

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - com.orsoncharts.util.json.JSONArray

- All Implemented Interfaces:
    JSONAware, JSONStreamAware, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

      public class JSONArray
      extends java.util.ArrayList
      implements java.util.List, JSONAware, JSONStreamAware

  A JSON array.
  This class is for internal use by Orson Charts, it is not part of the supported API and you should not call it directly. If you need JSON support in your project you should include JSON.simple (https://code.google.com/p/json-simple/) or some other JSON library directly in your project.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONArray()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toJSONString()` Returns a JSON string representation of this list.
    `static java.lang.String` | `toJSONString(java.util.List list)` Convert a list to JSON text.
    `java.lang.String` | `toString()` Returns a string representation of this list.
    `static void` | `writeJSONString(java.util.List list, java.io.Writer out)` Encode a list into JSON text and write it to out.
    `void` | `writeJSONString(java.io.Writer out)` Writes this array to the specified output writer.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### JSONArray

          public JSONArray()

  - ### Method Detail

    - #### writeJSONString

          public static void writeJSONString(java.util.List list,
                                             java.io.Writer out)
                                      throws java.io.IOException

      Encode a list into JSON text and write it to out. If this list is also a `JSONStreamAware` or a `JSONAware`, `JSONStreamAware` and `JSONAware` specific behaviours will be ignored at this top level.
      Parameters:
        `list` - the list (`null` permitted).
        `out` - the output writer (`null` not permitted).
      Throws:
        `java.io.IOException` - if there is an I/O problem.
      See Also:
        `JSONValue.writeJSONString(Object, Writer)`

    - #### writeJSONString

          public void writeJSONString(java.io.Writer out)
                               throws java.io.IOException

      Writes this array to the specified output writer.
      Specified by:
        `writeJSONString` in interface `JSONStreamAware`
      Parameters:
        `out` - the output writer (`null` not permitted).
      Throws:
        `java.io.IOException` - if there is an I/O problem.

    - #### toJSONString

          public static java.lang.String toJSONString(java.util.List list)

      Convert a list to JSON text. The result is a JSON array. If this list is also a `JSONAware`, `JSONAware` specific behaviours will be omitted at this top level.
      Parameters:
        `list` - the list (`null` permitted).
      Returns:
        JSON text, or "null" if list is null.
      See Also:
        `JSONValue.toJSONString(Object)`

    - #### toJSONString

          public java.lang.String toJSONString()

      Returns a JSON string representation of this list.
      Specified by:
        `toJSONString` in interface `JSONAware`
      Returns:
        A string.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this list.
      Overrides:
        `toString` in class `java.util.AbstractCollection`
      Returns:
        A string.